View Issue Details

IDProjectCategoryView StatusLast Update
16003Bug reportsOtherpublic2020-06-01 19:27
ReporterJmantysalo Assigned ToJHoeck  
PriorityhighSeverityminor 
Status confirmedResolutionfixed 
Product Version4.1.11 
Summary16003: Timer does not work
Description

Adding timer to a question does nothing.

Steps To Reproduce

Just try to make a one-question survey having a timer.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.11+200316
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariaDB, newest available on RHEL 8
Server OS (if known)Linux, RHEL 8
Webserver software & version (if known)Apache
PHP Versionnewest available on RHEL 8

Relationships

has duplicate 16210 new Time limit not working LimeSurvey CE 4.2.1 

Activities

Jmantysalo

Jmantysalo

2020-03-19 11:57

reporter  

thedirtypanda

thedirtypanda

2020-04-02 16:13

reporter   ~56890

Last edited: 2020-04-03 13:49

View 2 revisions

(edited by cdorin) - the issue will be tackled in the next round of bugs fixing.

lime_release_bot

lime_release_bot

2020-04-07 12:28

administrator   ~57002

Fixed in Release 4.1.16+200407

Jmantysalo

Jmantysalo

2020-04-07 13:27

reporter   ~57005

I just downloaded 4.1.16+200407 and unzipped it overriding files. No luck, timer does not work.

JHoeck

JHoeck

2020-04-16 13:19

developer   ~57147

Hello, this was my fault. I forgot to update the commit message. It is not solved, but currently im working on this issue!

Jmantysalo

Jmantysalo

2020-04-16 14:24

reporter   ~57157

OK. Not important to me, I was just using this as an example of what LS can do.

frankinfish

frankinfish

2020-04-30 16:37

reporter   ~57501

Please let me know when this is fixed, it's super important to me :( is there a workaround I could do in the meantime?

Jmantysalo

Jmantysalo

2020-05-01 06:34

reporter   ~57516

For a workaround: in version 3 I used

<script type="text/javascript" charset="utf-8">
$(document).on('ready pjax:scriptcomplete',function() {
var delay = 5; // Delay time in seconds
$('#ls-button-submit').addClass('hidden').hide();
setTimeout(function() {
$('#ls-button-submit').hide().removeClass('hidden').fadeIn(500);
}, delay*1000);
});
</script>

to give minimum time the user must look at a question before he/she can proceed. I guess you can do something similar for maximum time.

frankinfish

frankinfish

2020-05-30 05:48

reporter   ~58112

Still not working for me :( could someone open this ticket again? it's labeled as fixed but it is not; any chance this might get fixed any time soon? thanks so much!

DenisChenu

DenisChenu

2020-05-30 11:33

developer   ~58115

Stay confirmed, not fixed :)

On 2020-04-16 : closed to confirmed :)

blocka

blocka

2020-06-01 19:27

reporter   ~58128

I have this issue in my local install of Version 3.22.17+200525 as well. It appears to work in 3.22.17 on LimeQuery account, but that must be a few versions behind the released version.

Related Changesets

LimeSurvey: master 8a2b84ec

2020-03-26 10:53:32

thedirtypanda

Details Diff
Fixed issue 16003: Button Timing statistics not displayed. Affected Issues
16003
mod - application/views/admin/survey/topbar/responses_topbar.php Diff File
mod - assets/packages/admintoppanel/src/components/subcomponents/TopBarButton.vue Diff File

LimeSurvey: master eef7ad12

2020-03-26 10:53:32

thedirtypanda

Details Diff
Fixed issue 16003: Button Timing statistics not displayed. Affected Issues
16003
mod - application/views/admin/survey/topbar/responses_topbar.php Diff File
mod - assets/packages/admintoppanel/src/components/subcomponents/TopBarButton.vue Diff File

Issue History

Date Modified Username Field Change
2020-03-19 11:57 Jmantysalo New Issue
2020-03-19 11:57 Jmantysalo File Added: limesurvey_survey_278254.lss
2020-03-19 14:37 cdorin Priority none => high
2020-03-19 14:37 cdorin Status new => confirmed
2020-03-24 16:46 JHoeck Assigned To => JHoeck
2020-03-24 16:46 JHoeck Status confirmed => assigned
2020-03-26 10:55 JHoeck Status assigned => resolved
2020-03-26 10:55 JHoeck Resolution open => fixed
2020-03-30 14:39 ollehar Status resolved => new
2020-03-30 14:39 ollehar Resolution fixed => reopened
2020-04-01 11:04 cdorin Status new => confirmed
2020-04-02 16:13 thedirtypanda Changeset attached => LimeSurvey master 8a2b84ec
2020-04-02 16:13 thedirtypanda Changeset attached => LimeSurvey master eef7ad12
2020-04-02 16:13 thedirtypanda Note Added: 56890
2020-04-03 13:49 cdorin Note Edited: 56890 View Revisions
2020-04-07 12:28 lime_release_bot Note Added: 57002
2020-04-07 12:28 lime_release_bot Status confirmed => closed
2020-04-07 12:28 lime_release_bot Resolution reopened => fixed
2020-04-07 13:27 Jmantysalo Note Added: 57005
2020-04-16 12:46 cdorin Status closed => confirmed
2020-04-16 13:19 JHoeck Note Added: 57147
2020-04-16 14:24 Jmantysalo Note Added: 57157
2020-04-30 10:22 ollehar Relationship added has duplicate 16210
2020-04-30 16:37 frankinfish Note Added: 57501
2020-05-01 06:34 Jmantysalo Note Added: 57516
2020-05-30 05:48 frankinfish Note Added: 58112
2020-05-30 11:33 DenisChenu Note Added: 58115
2020-06-01 19:27 blocka Note Added: 58128